6.0.0-git
2019-03-18

[#11351] Parent mailbox not found if special folder
Summary Parent mailbox not found if special folder
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-08-13 (2408 days ago)
Due
Updated 2012-08-29 (2392 days ago)
Assigned 2012-08-24 (2397 days ago)
Resolved 2012-08-26 (2395 days ago)
Milestone
Patch No

History
2012-08-29 12:49:36 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 42b912e396e7b334983ad44619f73091df5ea17b
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Aug 25 17:49:29 2012 -0600

     Bug #11351: Fix dynamic folder display when parent mailbox is a 
special mailbox

  imp/js/dimpbase.js           |   24 +++++++++++-------------
  imp/lib/Ajax/Application.php |    2 +-
  2 files changed, 12 insertions(+), 14 deletions(-)

http://git.horde.org/horde-git/-/commit/42b912e396e7b334983ad44619f73091df5ea17b
2012-08-29 12:49:08 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 0c9758c50dccefb8e101400d1fd65bc2130e0562
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 23 19:47:53 2012 -0600

     Revert "Bug #11351: Sort ajax mailbox objects so parent mailboxes 
exist before child mailboxes"

     This reverts commit 28255b15c9bc7f2d7dfa4a3e18adff9a5fa7d5f2.

  imp/lib/Imap/Tree.php |   10 +---------
  1 files changed, 1 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/0c9758c50dccefb8e101400d1fd65bc2130e0562
2012-08-29 12:49:02 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 28255b15c9bc7f2d7dfa4a3e18adff9a5fa7d5f2
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 23 18:10:41 2012 -0600

     Bug #11351: Sort ajax mailbox objects so parent mailboxes exist 
before child mailboxes

  imp/lib/Imap/Tree.php |   10 +++++++++-
  1 files changed, 9 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/28255b15c9bc7f2d7dfa4a3e18adff9a5fa7d5f2
2012-08-26 00:09:25 Michael Slusarz State ⇒ Resolved
 
2012-08-26 00:09:12 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (develop):

commit 42b912e396e7b334983ad44619f73091df5ea17b
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Aug 25 17:49:29 2012 -0600

     Bug #11351: Fix dynamic folder display when parent mailbox is a 
special mailbox

  imp/js/dimpbase.js           |   24 +++++++++++-------------
  imp/lib/Ajax/Application.php |    2 +-
  2 files changed, 12 insertions(+), 14 deletions(-)

http://git.horde.org/horde-git/-/commit/42b912e396e7b334983ad44619f73091df5ea17b
2012-08-24 01:54:22 Michael Slusarz Comment #7
State ⇒ Assigned
Reply to this comment
No, this broke mailbox tree creation.
2012-08-24 01:54:10 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit 0c9758c50dccefb8e101400d1fd65bc2130e0562
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 23 19:47:53 2012 -0600

     Revert "Bug #11351: Sort ajax mailbox objects so parent mailboxes 
exist before child mailboxes"

     This reverts commit 28255b15c9bc7f2d7dfa4a3e18adff9a5fa7d5f2.

  imp/lib/Imap/Tree.php |   10 +---------
  1 files changed, 1 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/0c9758c50dccefb8e101400d1fd65bc2130e0562
2012-08-24 00:12:38 Michael Slusarz Comment #5 Reply to this comment
Try this.
2012-08-24 00:11:54 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 28255b15c9bc7f2d7dfa4a3e18adff9a5fa7d5f2
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 23 18:10:41 2012 -0600

     Bug #11351: Sort ajax mailbox objects so parent mailboxes exist 
before child mailboxes

  imp/lib/Imap/Tree.php |   10 +++++++++-
  1 files changed, 9 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/28255b15c9bc7f2d7dfa4a3e18adff9a5fa7d5f2
2012-08-21 08:49:49 Jan Schneider Comment #3 Reply to this comment
Was this fixed by (believe this was/is an issue caused by switch to 
different tree format with new styling):
No.
2012-08-20 22:17:51 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Was this fixed by (believe this was/is an issue caused by switch to 
different tree format with new styling):

commit 362a557c0432b418d2e108be1d23e1219159682a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 16 17:37:38 2012 -0600

     [mms] Fix regression in updating dynamic folder list when 
deleting parent mailboxes that contain children (Bug #11296).
2012-08-13 13:22:44 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Parent mailbox not found if special folder
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
I could have sworn this had been fixed already earlier, maybe it 
popped up again.
If processing listMailboxes AJAX calls, it's possible that a special 
mailbox is returned after its subfolders. Example: I have folders 
foo.bar and foo.bar.2011. foo.bar is also an identity's sent-mail 
folder. In the listMailboxes foo.bar.2011 is before foo.bar.
All this happens during a request to show unsubscribed folders.

Saved Queries